import json


class Instance:
    ''' The releveant data of the virtual machine instances
        This data would be sent by the interface to the portal,
        when it requests a virtual machine instance and vica versa
    '''

    ssh_keys = None
    console_access_url = None

    def __init__(self, id, name, resource, image_id, interfaces,
                 status, addresses, disks=None):
        self.id = id
        self.name = name
        self.resource = resource
        self.image = image_id
        self.disks = disks
        self.interfaces = interfaces
        self.status = status
        self.addresses = addresses

    def JSON(self):
        return json.dump(self)


class Flavor:
    def __init__(self, name, id, ram, vcpus, disk):
        self.id = id
        self.name = name
        self.ram = ram
        self.vcpus = vcpus
        self.initial_disk = disk

class Volume:
    pass
